Subject: Re: [PATCH] Restrict stack space reservation to rlimit

From: Anton Blanchard <[email-masked]>
Date: Mon, 8 Feb 2010 16:11:04 +1100

Hi,

> Why do we need page size independent stack size? It seems to have
> compatibility breaking risk.

I don't think so. The current behaviour is clearly wrong, we dont need a
16x larger stack just because you went from a 4kB to a 64kB base page
size. The user application stack usage is the same in both cases.

Anton